Package com.verisign.epp.codec.registry

## Class EPPRegistryPeriodType

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryPeriodType

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`
  Direct Known Subclasses:
    `EPPRegistryDefaultPeriodType`, `EPPRegistryGracePeriod`, `EPPRegistryMaxPeriodType`, `EPPRegistryMinPeriodType`, `EPPRegistryPendingDeletePeriodType`, `EPPRegistryPendingRestorePeriodType`, `EPPRegistryRedemptionPeriodType`, `EPPRegistryTransferHoldPeriodType`

      public abstract class EPPRegistryPeriodType
      extends java.lang.Object
      implements EPPCodecComponent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_NAME` |
    `protected java.lang.Integer` | `number` |
    `static java.lang.String` | `PERIOD_UNIT_DAY` | Period in Unit Day
    `static java.lang.String` | `PERIOD_UNIT_HOUR` | Period in Unit Hour
    `static java.lang.String` | `PERIOD_UNIT_MONTH` | Period in Unit Month
    `static java.lang.String` | `PERIOD_UNIT_YEAR` | Period in Unit Year
    `protected java.lang.String` | `rootName` |
    `protected java.lang.String` | `unit` |
    `static java.util.Set` | `VALID_UNITS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryPeriodType()` |
    `EPPRegistryPeriodType​(int number, java.lang.String unit)` |
    `EPPRegistryPeriodType​(java.lang.Integer number, java.lang.String unit)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | clone an `EPPCodecComponent`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | encode instance into a DOM element tree.
    `boolean` | `equals​(java.lang.Object aObject)` |
    `java.lang.Integer` | `getNumber()` |
    `java.lang.String` | `getRootName()` |
    `java.lang.String` | `getUnit()` |
    `void` | `setNumber​(java.lang.Integer number)` |
    `void` | `setUnit​(java.lang.String unit)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.verisign.epp.codec.gen.EPPCodecComponent

      `getNamespace`

- - ### Field Detail

    - #### PERIOD_UNIT_MONTH

          public static final java.lang.String PERIOD_UNIT_MONTH

      Period in Unit Month
      See Also:
        Constant Field Values

    - #### PERIOD_UNIT_YEAR

          public static final java.lang.String PERIOD_UNIT_YEAR

      Period in Unit Year
      See Also:
        Constant Field Values

    - #### PERIOD_UNIT_DAY

          public static final java.lang.String PERIOD_UNIT_DAY

      Period in Unit Day
      See Also:
        Constant Field Values

    - #### PERIOD_UNIT_HOUR

          public static final java.lang.String PERIOD_UNIT_HOUR

      Period in Unit Hour
      See Also:
        Constant Field Values

    - #### VALID_UNITS

          public static final java.util.Set VALID_UNITS

    - #### rootName

          protected java.lang.String rootName

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      See Also:
        Constant Field Values

    - #### number

          protected java.lang.Integer number

    - #### unit

          protected java.lang.String unit

  - ### Constructor Detail

    - #### EPPRegistryPeriodType

          public EPPRegistryPeriodType()

    - #### EPPRegistryPeriodType

          public EPPRegistryPeriodType​(java.lang.Integer number,
                                       java.lang.String unit)

    - #### EPPRegistryPeriodType

          public EPPRegistryPeriodType​(int number,
                                       java.lang.String unit)

  - ### Method Detail

    - #### getRootName

          public java.lang.String getRootName()

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Description copied from interface: `EPPCodecComponent`
      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM document used as a factory of DOM objects.
      Returns:
        instance root DOM element along with attribute child nodes.
      Throws:
        `EPPEncodeException` - Error encoding the DOM element tree.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Description copied from interface: `EPPCodecComponent`
      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - root DOM element associated with instance
      Throws:
        `EPPDecodeException` - Error decoding the DOM element tree.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Description copied from interface: `EPPCodecComponent`
      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getNumber

          public java.lang.Integer getNumber()

    - #### setNumber

          public void setNumber​(java.lang.Integer number)

    - #### getUnit

          public java.lang.String getUnit()

    - #### setUnit

          public void setUnit​(java.lang.String unit)